#!/bin/sh

DISPLAY=:0.0
export DISPLAY
xhost + >> /dev/null

# get locale value when login with a normal user.   
Z_CURRENT_LANG=`sed -n '1p' /tmp/zlocale.txt`
Z_CURRENT_LANGUAGE=`sed -n '2p' /tmp/zlocale.txt`
echo $Z_CURRENT_LANG
echo $Z_CURRENT_LANGUAGE
# Reset locale related variables to be the same as normal user, 
# because when switching to root, locale variables are determined by /etc/default/locale, which is not correct.
echo "Reset lang and language as normal user....."
export LANG=$Z_CURRENT_LANG
export LANGUAGE=$Z_CURRENT_LANGUAGE 
echo $LANG
echo $LANGUAGE

#in wayland platform, still support xcb program
export QT_QPA_PLATFORM=xcb
/opt/apps/com.zebra.zxp7driver/files/ZebraZXP7Driver/ZXP7PrinterProperties $LANG -platform xcb --no-sandbox
